> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.framedimension.md).

# FrameDimension

Namespace: **System.Drawing.Imaging**

Assembly: **System.Drawing.Managed** (4.0.0.0)

Provides properties that get the frame dimensions of an image. Not inheritable.

{% tabs %}
{% tab title="C#" %}

```csharp
public class FrameDimension
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class FrameDimension
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/gN3G3VR5GgQngV3jdnfJ) FrameDimension(guid)

Initializes a new instance of the [FrameDimension](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.framedimension.md) class with the specified GUID.

| Name     | Type                                                      | Description                                           |
| -------- | --------------------------------------------------------- | ----------------------------------------------------- |
| **guid** | [Guid](https://docs.microsoft.com/dotnet/api/system.guid) | A [Guid](#guid) that represents the dimension to get. |

## Properties

### ![](/files/gN3G3VR5GgQngV3jdnfJ) Guid

[Guid](https://docs.microsoft.com/dotnet/api/system.guid): Gets the global unique identifier (GUID) that represents this [FrameDimension](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.framedimension.md).

### ![](/files/eguYxwyd6jAtQFHRrmJW) Page

[FrameDimension](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.framedimension.md): Gets the page dimension.

### ![](/files/eguYxwyd6jAtQFHRrmJW) Resolution

[FrameDimension](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.framedimension.md): Gets the resolution dimension.

### ![](/files/eguYxwyd6jAtQFHRrmJW) Time

[FrameDimension](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.framedimension.md): Gets the time dimension.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.framedimension.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
